Bug 810117 - yum localinstall cannot find local RPM
yum localinstall cannot find local RPM
Status: CLOSED DUPLICATE of bug 818280
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 04:16 EDT by Fred New
Modified: 2014-01-21 01:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-03 02:54:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fred New 2012-04-05 04:16:52 EDT
Description of problem:
I ran
     yum localinstall hpacucli-9.0-24.0.noarch.rpm
to install to install an HP storage array management package.  All of the prerequisite packages got installed, but then yum couldn't find the local RPM, /root/hpacucli-9.0-24.0.noarch.rpm, showing the following messages:

Error: Cannot open file hpacucli-9.0-24.0.noarch.rpm: [Errno 2] No such file or directory: 'hpacucli-9.0-24.0.noarch.rpm'
TypeError: an integer is required
error: python callback <bound method RPMTransaction.callback of <yum.rpmtrans.RPMTransaction instance at 0x2051368>> failed, aborting!

Version-Release number of selected component (if applicable):
yum-3.2.29-22.el6_2.2.noarch


How reproducible:
I didn't try to reproduce the problem.


Steps to Reproduce:
1. Download the hpacucli-9.0-24.0.noarch.rpm package to /root/
2. As the root user, PWD = /root, run
     yum localinstall hpacucli-9.0-24.0.noarch.rpm
  
Actual results:
Error messages and failure to install the desired package.

Expected results:


Additional info:
It looks like yum might have been trying to install the package from the root directory.  Here are all of the messages:

]# yum localinstall hpacucli-9.0-24.0.noarch.rpm
Loaded plugins: product-id, rhnplugin, subscription-manager
Updating certificate-based repositories.
Setting up Local Package Process
Examining hpacucli-9.0-24.0.noarch.rpm: hpacucli-9.0-24.0.i386
Marking hpacucli-9.0-24.0.noarch.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package hpacucli.i386 0:9.0-24.0 will be installed
--> Processing Dependency: libc.so.6 for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libc.so.6(GLIBC_2.0) for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libc.so.6(GLIBC_2.1) for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libc.so.6(GLIBC_2.1.3) for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libc.so.6(GLIBC_2.2) for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libc.so.6(GLIBC_2.3.4) for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libdl.so.2 for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libdl.so.2(GLIBC_2.0) for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libdl.so.2(GLIBC_2.1) for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libgcc_s.so.1 for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libgcc_s.so.1(GCC_3.0) for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libgcc_s.so.1(GLIBC_2.0) for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libm.so.6 for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libpthread.so.0 for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libpthread.so.0(GLIBC_2.0) for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libpthread.so.0(GLIBC_2.1) for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libpthread.so.0(GLIBC_2.3.2) for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libstdc++.so.6 for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libstdc++.so.6(CXXABI_1.3) for package: hpacucli-9.0-24.0.i386
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4) for package: hpacucli-9.0-24.0.i386
--> Running transaction check
---> Package glibc.i686 0:2.12-1.47.el6_2.9 will be installed
--> Processing Dependency: libfreebl3.so(NSSRAWHASH_3.12.3) for package: glibc-2.12-1.47.el6_2.9.i686
--> Processing Dependency: libfreebl3.so for package: glibc-2.12-1.47.el6_2.9.i686
---> Package libgcc.i686 0:4.4.6-3.el6 will be installed
---> Package libstdc++.i686 0:4.4.6-3.el6 will be installed
--> Running transaction check
---> Package nss-softokn-freebl.i686 0:3.12.9-11.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================
 Package                  Arch       Version                  Repository                       Size
====================================================================================================
Installing:
 hpacucli                 i386       9.0-24.0                 /hpacucli-9.0-24.0.noarch        18 M
Installing for dependencies:
 glibc                    i686       2.12-1.47.el6_2.9        rhel-x86_64-server-6            4.3 M
 libgcc                   i686       4.4.6-3.el6              rhel-x86_64-server-6            110 k
 libstdc++                i686       4.4.6-3.el6              rhel-x86_64-server-6            298 k
 nss-softokn-freebl       i686       3.12.9-11.el6            rhel-x86_64-server-6            116 k

Transaction Summary
====================================================================================================
Install       5 Package(s)

Total size: 23 M
Total download size: 4.8 M
Installed size: 18 M
Is this ok [y/N]: y
Downloading Packages:
(1/4): glibc-2.12-1.47.el6_2.9.i686.rpm                                      | 4.3 MB     00:00
(2/4): libgcc-4.4.6-3.el6.i686.rpm                                           | 110 kB     00:00
(3/4): libstdc++-4.4.6-3.el6.i686.rpm                                        | 298 kB     00:00
(4/4): nss-softokn-freebl-3.12.9-11.el6.i686.rpm                             | 116 kB     00:00
----------------------------------------------------------------------------------------------------
Total                                                               302 kB/s | 4.8 MB     00:16
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : libgcc-4.4.6-3.el6.i686                                                          1/5
  Installing : nss-softokn-freebl-3.12.9-11.el6.i686                                            2/5
  Installing : glibc-2.12-1.47.el6_2.9.i686                                                     3/5
  Installing : libstdc++-4.4.6-3.el6.i686                                                       4/5
Error: Cannot open file hpacucli-9.0-24.0.noarch.rpm: [Errno 2] No such file or directory: 'hpacucli-9.0-24.0.noarch.rpm'
TypeError: an integer is required
error: python callback <bound method RPMTransaction.callback of <yum.rpmtrans.RPMTransaction instance at 0x2051368>> failed, aborting!
[root@gustlik ~]# yum install libstdc++-4.4.6-3.el6.i686.rpm
Loaded plugins: product-id, rhnplugin, subscription-manager
Updating certificate-based repositories.
Setting up Install Process
No package libstdc++-4.4.6-3.el6.i686.rpm available.
Error: Nothing to do
#
Comment 2 Phil Knirsch 2012-05-03 02:54:48 EDT

*** This bug has been marked as a duplicate of bug 818280 ***

Note You need to log in before you can comment on or make changes to this bug.